## NMSettingSerial NMSettingSerial — Describes connection properties for devices that use serial communications |

## Functions

GQuark | nm_setting_serial_error_quark ()
NMSetting * | nm_setting_serial_new ()
guint | nm_setting_serial_get_baud ()
guint | nm_setting_serial_get_bits ()
char | nm_setting_serial_get_parity ()
guint | nm_setting_serial_get_stopbits ()
guint64 | nm_setting_serial_get_send_delay ()

## Properties

guint | baud | Read / Write / Construct
guint | bits | Read / Write / Construct
gchar | parity | Read / Write / Construct
guint64 | send-delay | Read / Write / Construct
guint | stopbits | Read / Write / Construct

## Types and Values

#define | NM_SETTING_SERIAL_SETTING_NAME
enum | NMSettingSerialError
#define | NM_SETTING_SERIAL_ERROR
#define | NM_SETTING_SERIAL_BAUD
#define | NM_SETTING_SERIAL_BITS
#define | NM_SETTING_SERIAL_PARITY
#define | NM_SETTING_SERIAL_STOPBITS
#define | NM_SETTING_SERIAL_SEND_DELAY

## Object Hierarchy

        GEnum
        ╰── NMSettingSerialError
        GObject
        ╰── NMSetting
            ╰── NMSettingSerial

## Includes

    #include <nm-setting-serial.h>

## Description

The NMSettingSerial object is a NMSetting subclass that describes properties necessary for connections that may use serial communications, such as mobile broadband or analog telephone connections.

## Functions

### nm_setting_serial_error_quark ()

    GQuark
    nm_setting_serial_error_quark (void);

Registers an error quark for NMSettingSerial if necessary.

#### Returns

the error quark used for NMSettingSerial errors.

### nm_setting_serial_new ()

    NMSetting *
    nm_setting_serial_new (void);

Creates a new NMSettingSerial object with default values.

#### Returns

the new empty NMSettingSerial object.

[transfer full]

### nm_setting_serial_get_baud ()

    guint
    nm_setting_serial_get_baud (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “baud” property of the setting

### nm_setting_serial_get_bits ()

    guint
    nm_setting_serial_get_bits (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “bits” property of the setting

### nm_setting_serial_get_parity ()

    char
    nm_setting_serial_get_parity (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “parity” property of the setting

### nm_setting_serial_get_stopbits ()

    guint
    nm_setting_serial_get_stopbits (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “stopbits” property of the setting

### nm_setting_serial_get_send_delay ()

    guint64
    nm_setting_serial_get_send_delay (NMSettingSerial *setting);

#### Parameters

setting | the NMSettingSerial |

#### Returns

the “send-delay” property of the setting

## Types and Values

### NM_SETTING_SERIAL_SETTING_NAME

    #define NM_SETTING_SERIAL_SETTING_NAME "serial"

### enum NMSettingSerialError

#### Members

NM_SETTING_SERIAL_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_SERIAL_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_SERIAL_ERROR_MISSING_PROPERTY | the property was missing and is required |
NM_SETTING_SERIAL_ERROR_MISSING_PPP_SETTING | one of the properties of the setting requires the connection to contain an NMSettingPPP setting |

### NM_SETTING_SERIAL_ERROR

    #define NM_SETTING_SERIAL_ERROR nm_setting_serial_error_quark ()

### NM_SETTING_SERIAL_BAUD

    #define NM_SETTING_SERIAL_BAUD "baud"

### NM_SETTING_SERIAL_BITS

    #define NM_SETTING_SERIAL_BITS "bits"

### NM_SETTING_SERIAL_PARITY

    #define NM_SETTING_SERIAL_PARITY "parity"

### NM_SETTING_SERIAL_STOPBITS

    #define NM_SETTING_SERIAL_STOPBITS "stopbits"

### NM_SETTING_SERIAL_SEND_DELAY

    #define NM_SETTING_SERIAL_SEND_DELAY "send-delay"

## Property Details

### The `“baud”` property

      “baud”                     guint

Flags: Read / Write / Construct

Default value: 57600

### The `“bits”` property

      “bits”                     guint

Flags: Read / Write / Construct

Allowed values: [5,8]

Default value: 8

### The `“parity”` property

      “parity”                   gchar

Flags: Read / Write / Construct

Allowed values: [69,111]

Default value: 110

### The `“send-delay”` property

      “send-delay”               guint64

Flags: Read / Write / Construct

Default value: 0

### The `“stopbits”` property

      “stopbits”                 guint

Flags: Read / Write / Construct

Allowed values: [1,2]

Default value: 1